# Uses of Class
org.apache.lucene.benchmark.byTask.feeds.DocMaker

Packages that use DocMaker
Package
Description
org.apache.lucene.benchmark.byTask
Benchmarking Lucene By Tasks
org.apache.lucene.benchmark.byTask.feeds
Sources for benchmark inputs: documents and queries.
org.apache.lucene.benchmark.utils
Benchmark Utility functions.

- ## Uses of DocMaker in org.apache.lucene.benchmark.byTask

  Methods in org.apache.lucene.benchmark.byTask that return DocMaker
  Modifier and Type
  Method
  Description
  `DocMaker`
  PerfRunData.`getDocMaker()`
  Returns the DocMaker.

- ## Uses of DocMaker in org.apache.lucene.benchmark.byTask.feeds

  Subclasses of DocMaker in org.apache.lucene.benchmark.byTask.feeds
  Modifier and Type
  Class
  Description
  `class`
  `SpatialDocMaker`
  Indexes spatial data according to a configured `SpatialStrategy` with optional shape transformation via a configured `SpatialDocMaker.ShapeConverter`.

- ## Uses of DocMaker in org.apache.lucene.benchmark.utils

  Fields in org.apache.lucene.benchmark.utils declared as DocMaker
  Modifier and Type
  Field
  Description
  `protected DocMaker`
  ExtractWikipedia.`docMaker`
  Constructors in org.apache.lucene.benchmark.utils with parameters of type DocMaker
  Modifier
  Constructor
  Description
  ``
  `ExtractWikipedia(DocMaker docMaker, Path outputDir)`